Hello, Get a 50% discount on all our offers now with the code ANALYTICS50. This promotion is limited to the first 50 customers who subscribe to one of our offers using the promo code.

Website statistics

GET https://analytics.sidl-corporation.fr/api/statistics/{website_id}
Parameters Details Description
start_date Required String Start date in Y-m-d format.
end_date Required String End date in Y-m-d format.
type Optional String Allowed values: overview, realtime, paths, referrers, screen_resolutions, utms, operating_systems, device_types, continents, countries, cities, browser_names, browser_languages, browser_timezones, themes, goals
country_code Optional String Available when: type = cities
utm_source Optional String Available when: type = utms_medium_campaign
curl --request GET \
--url 'https://analytics.sidl-corporation.fr/api/statistics/{website_id}?start_date=2020-01-01&end_date=2021-01-01' \
--header 'Authorization: Bearer {api_key}' \
{ "data": [ { "path": "/dashboard", "pageviews": 500, "bounces": 10 }, { "path": "/websites", "pageviews": 250, "bounces": 0 }, { "path": "/", "pageviews": 200, "bounces": 36 }, { "path": "/register", "pageviews": 100, "bounces": 25 }, { "path": "login", "pageviews": 50, "bounces": 10 }, ] }